USB_EP_FREE_REQUEST(9)

NAME
usb_ep_free_request - frees a request object

SYNOPSIS

void usb_ep_free_request(struct usb_ep * ep, struct usb_request * req);

ARGUMENTS

ep
    the endpoint associated with the request

req
    the request being freed

DESCRIPTION

Reverses the effect of usb_ep_alloc_request. Caller guarantees the request is not queued, and that it will no longer be requeued (or otherwise used).

AUTHOR

David Brownell <dbrownell@users.sourceforge.net>
    Author.

COPYRIGHT